unordered_map File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_UNORDERED_MAP

## Typedefs

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_map
template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_multimap

## Detailed Description

This is a Standard C++ Library header.

Definition in file unordered_map.

## Macro Definition Documentation

## _GLIBCXX_UNORDERED_MAP

#define _GLIBCXX_UNORDERED_MAP

Definition at line 30 of file unordered_map.

## Typedef Documentation

## unordered_map

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_map

Definition at line 64 of file unordered_map.

## unordered_multimap

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_multimap

Definition at line 68 of file unordered_map.